Logical? Why are ZD's shipping with 9.4?

  • 1
  • Question
  • Updated 4 years ago
  • Answered
  • (Edited)
What is the incentive for my sales force to continue selling your equipment when you are shipping new Zone Directors with antiquated Firmware versions? My sales force is selling your newer equipment, which in-turn is beneficial to Ruckus and allows you to thrive, but is also hindering to my technical staff in the fact that they must go through 3 firmware upgrades in order to make new Zone Directors work with New ZoneFlex APs. So the question becomes, why should I continue to sell your equipment when it is obvious that Ruckus is not making decisions for their own equipment that is also beneficial to the companies selling that equipment to the end-users?
Photo of Stephen Stipe

Stephen Stipe

  • 1 Post
  • 0 Reply Likes

Posted 4 years ago

  • 1
Photo of Keith - Pack Leader

Keith - Pack Leader

  • 860 Posts
  • 51 Reply Likes
Hi Stephen,

You bring up a good question, so let me give some background. [Stephen is referring to the fact that many of our newer AP's require at least version 9.5.1 and in some cases 9.6.0)

Back in January we had made the decision to move to 9.5.0 for the factory build (i.e. what we ship).

Unfortunately, and unknown to us at the time, this introduced a problem into the ZD1100 products (something related to the USB subsystem) - and essentially they all had to be RMA'd - there was no practical field fix. This is related to the warnings you now see when downloading ZD1100 updates (9.5 and above). This particular problem only showed up in "factory built" 9.5.0 units.

So we reverted to 9.4 at the factory while we investigated the root cause of the USB issue. We now know the cause, but that took a while to fully characterize even with our best engineers working on it. We did not want to jump to any newer release in the factory until we had that understanding.

We are in the process now of making 9.6.1 the factory build. That will be done on our side fairly soon, but it will take a while for inventory in the distribution channel to reflect that (probably at least a month).

There were a few other challenges thrown in that contributed to the delay in getting the newer code into the factory.

We do sincerely apologize for the extra work this causes everyone. We are definitely looking at all the things we need to change to avoid or mitigate this in the future. For example:


  • All AP Install Guides now come with an explicit warning about the minimum software version required
  • We developed a method for customers to quickly and easily get access to software downloads via warranty registration
  • We've changed our factory QA processes to ensure we won't see a repeat of the 9.5 issue
  • We've created KB articles explaining the error messages that appear when using a new AP with downrev software
  • We intend that the first maintenance release (aka the .1 version) of each release will generally be used as our factory build in the future.


I hope this helps explain the present situation and what we're doing to fix it. We do appreciate that this hasn't been our best showing in terms of product quality but the whole company is focused on improving that.

-Keith
Photo of Keith - Pack Leader

Keith - Pack Leader

  • 860 Posts
  • 51 Reply Likes
9.6.1 is now the standard factory build. It may take a while for units with the new code to make it through distribution. Enjoy.